Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Class NativeGraphics

    java.lang.Object
      |
      +--quicktime.qd.NativeGraphics

public abstract class NativeGraphics
extends java.lang.Object

You use this class to obtain a QDGraphics object from a Java object known to host a native graphics context. Currently known java objects are java.awt.Components

Method Summary
`static NativeGraphics` | `getContext(java.awt.Canvas canv)` This method is called by the Canvas to get the platform specific object that will be able to return the QDGraphics that will be dependent on the particular platform that we are currently running on.
`static NativeGraphics` | `getContext(java.awt.Component canv)` This method is called by the Canvas to get the platform specific object that will be able to return the QDGraphics that will be dependent on the particular platform that we are currently running on.
`static NativeGraphics` | `getContext(java.lang.Object canv)` This method is called by a Java container object to get the platform specific object that will be able to return the QDGraphics that will be dependent on the particular platform and Java environment that we are currently running on.
`abstract QDGraphics` | `getGWorld()` This returns the QDGraphics that represents the native drawing surface that you get from java.
`java.awt.Point` | `getLocation()`
`void` | `lock()` This will lock the native drawing surface.
`void` | `unlock()` This will unlock the native drawing surface.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getContext

    public static final NativeGraphics getContext(java.awt.Canvas canv)
                                           throws NativeGraphicsException,
                                                  QTUnknownOSException

  This method is called by the Canvas to get the platform specific object that will be able to return the QDGraphics that will be dependent on the particular platform that we are currently running on.
  Returns:
    the platform specific implementation of the NativeGrapics class

### getContext

    public static final NativeGraphics getContext(java.awt.Component canv)
                                           throws NativeGraphicsException,
                                                  QTUnknownOSException

  This method is called by the Canvas to get the platform specific object that will be able to return the QDGraphics that will be dependent on the particular platform that we are currently running on.
  Returns:
    the platform specific implementation of the NativeGrapics class

### getContext

    public static final NativeGraphics getContext(java.lang.Object canv)
                                           throws NativeGraphicsException,
                                                  QTUnknownOSException

  This method is called by a Java container object to get the platform specific object that will be able to return the QDGraphics that will be dependent on the particular platform and Java environment that we are currently running on.
  Returns:
    the platform specific implementation of the NativeGrapics class

### getGWorld

    public abstract QDGraphics getGWorld()
                                  throws NativeGraphicsException

  This returns the QDGraphics that represents the native drawing surface that you get from java.

### getLocation

    public final java.awt.Point getLocation()

### lock

    public void lock()

  This will lock the native drawing surface.

### unlock

    public void unlock()

  This will unlock the native drawing surface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD